| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateEsrpQueueRequest Struct Reference

Create Esrp Queue request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | QueueName
| Esrp Queue name. More...
xsd__string | QueueNotes
| Esrp Queue Notes required: true default value[range]: NA [1..256]. More...
xsd__string | QueueUri
| Esrp Queue URI required: true default value[range]: NA [1..256]. More...
xsd__string | PolicyNameOrig
| Esrp Originating Policy Name required: false default value[range]: NA [1..128]. More...
xsd__string | PolicyNameTerm
| Esrp Terminating Policy Name required: false default value[range]: NA [1..128]. More...
xsd__boolean * | Override
| Esrp Override option. More...
enum unsp__QueueState * | QueueState
| Esrp Queue State. More...
xsd__int * | MaxQueueLen
| ESRP Max Queue Length. More...
xsd__boolean * | AllowAllSubscriptions
| Esrp Allow All Subscriptions option. More...
char * | FEName
| Functional Element Name. More...

## Detailed Description

Create Esrp Queue request.

Used by unsp__CreateEsrpQueue()

## Member Data Documentation

## ◆ AllowAllSubscriptions

xsd__boolean* unsp__CreateEsrpQueueRequest::AllowAllSubscriptions

Esrp Allow All Subscriptions option.

(Applicable only as notifier/server)
required: false
default value[range]: false (default)

## ◆ FEName

char* unsp__CreateEsrpQueueRequest::FEName

Functional Element Name.

(Applicable only as subscriber/client)
required: false

See also
  unsp__EndpointName

## ◆ MaxQueueLen

xsd__int* unsp__CreateEsrpQueueRequest::MaxQueueLen

ESRP Max Queue Length.

The maximum number of calls allowed per queue. (Applicable only as notifier/server)
required: false (it is mandatory as notifier)
default value[range]: 1...100
default value[range]: set to -1 or don't pass this field when a FEName is defined

## ◆ OperatorId

xsd__string unsp__CreateEsrpQueueRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Override

xsd__boolean* unsp__CreateEsrpQueueRequest::Override

Esrp Override option.

(Applicable only as notifier/server)
required: false
default value[range]: false (default)

## ◆ PolicyNameOrig

xsd__string unsp__CreateEsrpQueueRequest::PolicyNameOrig

Esrp Originating Policy Name
required: false
default value[range]: NA [1..128].

## ◆ PolicyNameTerm

xsd__string unsp__CreateEsrpQueueRequest::PolicyNameTerm

Esrp Terminating Policy Name
required: false
default value[range]: NA [1..128].

## ◆ QueueName

xsd__string unsp__CreateEsrpQueueRequest::QueueName

Esrp Queue name.

required: true
default value[range]: NA [1..128]

## ◆ QueueNotes

xsd__string unsp__CreateEsrpQueueRequest::QueueNotes

Esrp Queue Notes
required: true
default value[range]: NA [1..256].

## ◆ QueueState

enum unsp__QueueState* unsp__CreateEsrpQueueRequest::QueueState

Esrp Queue State.

It is possible to be set (except from QSUnreachable, QSPending) only if Override option has been set to true. (Applicable only as notifier/server) If Override option has been set to false (or it is not provided), any value of QueueState is ignored.
required: false
default value[range]: QSUndefined (default)

## ◆ QueueUri

xsd__string unsp__CreateEsrpQueueRequest::QueueUri

Esrp Queue URI
required: true
default value[range]: NA [1..256].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h